Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006319OCamlOCaml windowspublic2014-02-04 22:432014-06-06 14:03
Reportershayne_fletcher 
Assigned Toshinwell 
PriorityhighSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWin32OSWindowsOS Version8.1
Product Version4.01.0 
Target Version4.02.0+devFixed in Version4.02.0+dev 
Summary0006319: Cygwin's chmod broken on Windows 8.1, breaks ``make world``
DescriptionThere seems to be an issue with Cygwin's chmod 0600 on this OS. Accordingly, you may find it necessary to comment L367 of Makefile.nt to get the make world to succeed.

Since commenting that line works around the problem, it indicates that the chmod could be skipped with no ill effect. That might prove to be the easiest resolution.
Steps To ReproduceBuild OCaml 4.01.0 from source on Windows 8.1 following "Native Win64 port built with Microsoft Windows SDK" instructions in the source distribution file README.win32. Will fail at linke L367 of Makefile.nt in the make world step.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0011599)
shinwell (developer)
2014-05-30 14:31

Deleting the chmod seems like a harmless fix. If there are no objections, I suggest we do that.
(0011696)
shinwell (developer)
2014-06-06 14:03

We've decided to remove the chmod -w on utils/config.ml from all platforms.
Fixed in trunk (r14967) and 4.02 (r14968).

- Issue History
Date Modified Username Field Change
2014-02-04 22:43 shayne_fletcher New Issue
2014-05-30 14:31 shinwell Note Added: 0011599
2014-05-30 14:31 shinwell Assigned To => shinwell
2014-05-30 14:31 shinwell Status new => acknowledged
2014-05-30 14:32 shinwell Priority normal => high
2014-05-30 14:32 shinwell Target Version => 4.02.0+dev
2014-06-06 14:03 shinwell Note Added: 0011696
2014-06-06 14:03 shinwell Status acknowledged => resolved
2014-06-06 14:03 shinwell Fixed in Version => 4.02.0+dev
2014-06-06 14:03 shinwell Resolution open => fixed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker